package com.zy.bms.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.common.io.pc.ItemIO;
import com.zy.bms.model.Item;

/**
 * <p>
 * 项目表 服务类
 * </p>
 *
 * @author chenyi
 * @since 2021-05-19
 */
public interface IItemService extends IService<Item> {

    /**
     * 分页查询
     *
     * @param io 查询条件
     */
    IPage<Item> listPage(ItemIO io);

    /**
     * 项目编号查重
     *
     * @param code 项目编号
     */
    boolean checkRepeat(String code);

    /**
     * 更新用户状态
     *
     * @param id     主键ID
     * @param status 状态
     */
    void updateStatus(Integer id, Integer status);
}
