package com.zy.bms.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.bms.common.io.pc.RoleIO;
import com.zy.bms.mapper.RoleMapper;
import com.zy.bms.model.Role;
import com.zy.bms.service.IRoleService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 角色表 服务实现类
 * </p>
 *
 * @author chenyi
 * @since 2021-05-19
 */
@Service
public class RoleServiceImpl extends ServiceImpl<RoleMapper, Role> implements IRoleService {

    @Override
    public IPage<Role> listPage(RoleIO io) {
        Page<Role> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }
}
